wiki:267-i-am-having-trouble-getting-openvpn-1x-to-talk-with-openvpn-20

I am having trouble getting OpenVPN 1.x to talk with OpenVPN 2.0

While OpenVPN 2.0 is compatible with OpenVPN 1.x, some of the default options have changed. For this reason, if you want to connect OpenVPN 1.x to 2.0, add the following to your 1.x config file to set it to the defaults which 2.0 is already using:

  port 1194
tun-mtu 1500
tun-mtu-extra 32
mssfix 1450
key-method 2

Also note that OpenVPN 1.x cannot connect as a client to an OpenVPN 2.0 server running in the new --mode server mode. This is because OpenVPN 1.x lacks the --pull directive which is essential to the operation of OpenVPN 2.0's client/server mode.

Return to FAQ

Last modified 3 years ago Last modified on 01/30/14 15:44:10